Package org.apache.lucene.index

# Enum Class IndexWriterConfig.OpenMode

java.lang.Object
java.lang.Enum<IndexWriterConfig.OpenMode>
org.apache.lucene.index.IndexWriterConfig.OpenMode

All Implemented Interfaces:
  `Serializable`, `Comparable<IndexWriterConfig.OpenMode>`, `Constable`

Enclosing class:
  `IndexWriterConfig`

public static enum IndexWriterConfig.OpenMode extends Enum<IndexWriterConfig.OpenMode>
Specifies the open mode for `IndexWriter`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPEND`
  Opens an existing index.
  `CREATE`
  Creates a new index or overwrites an existing one.
  `CREATE_OR_APPEND`
  Creates a new index if one does not exist, otherwise it opens the index and documents will be appended.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IndexWriterConfig.OpenMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IndexWriterConfig.OpenMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CREATE

    public static final IndexWriterConfig.OpenMode CREATE
    Creates a new index or overwrites an existing one.

  - ### APPEND

    public static final IndexWriterConfig.OpenMode APPEND
    Opens an existing index.

  - ### CREATE_OR_APPEND

    public static final IndexWriterConfig.OpenMode CREATE_OR_APPEND
    Creates a new index if one does not exist, otherwise it opens the index and documents will be appended.

- ## Method Details

  - ### values

    public static IndexWriterConfig.OpenMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IndexWriterConfig.OpenMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null